<?php
session_start();
require("../database/dbConection.php");
require("include/funcoes_gsaudereg.php");

$_SESSION['usuarioLogado'] = "NÃO";

/******* VALIDAR SERVIDOR WS *******/
$idServidor = str_replace('.','',$_SERVER['SERVER_ADDR']);
$_SESSION['idValido'] = "lcsmagalhaes$idServidor";
/**********************************/

// Recebe os dados do formulário
$cpfUsuario = str_replace('.','',$_POST['loginAcesso']);
$cpfUsuario = str_replace('-','',$cpfUsuario);
$_SESSION['cpfUsuarioLogin'] = $_POST['loginAcesso'];
$_SESSION['cpfValidaProfissional'] = $cpfUsuario;
$loginAcesso = (isset($_POST['loginAcesso'])) ? mb_strtolower($cpfUsuario) : '' ;
$senhaAcesso = (isset($_POST['senhaAcesso'])) ? sha1($_POST['senhaAcesso']) : '';
$statusAtivo = 1;

try{

  $sqlAcessoSistema  = "SELECT * FROM reg_tb_usuario WHERE cpf_usuario=? AND senha_usuario=? AND ativo=?";

  $stmlAcessoSistema  = $rsConexao->prepare($sqlAcessoSistema);
  $stmlAcessoSistema -> bindValue(1, $loginAcesso);
  $stmlAcessoSistema -> bindValue(2, $senhaAcesso);
  $stmlAcessoSistema -> bindValue(3, $statusAtivo);
  $stmlAcessoSistema -> execute();
  $totalUsuario      = $stmlAcessoSistema->rowCount();
  $rsUsuario         = $stmlAcessoSistema->fetch(PDO::FETCH_OBJ);

if($totalUsuario>0){

  $_SESSION['usuarioLogado']      = "SIM";
  $_SESSION['aceitouTermo']       = $rsUsuario->aceitou_termo;
  $_SESSION['leuAtualizacao']     = $rsUsuario->confirmou_atalizacao;
  $_SESSION['idUsuarioLogado']    = $rsUsuario->id_usuario;
  $_SESSION['nomeUsuarioLogado']  = ucwords(mb_strtolower($rsUsuario->nome_usuario));
  $_SESSION['emailUsuarioLogado'] = mb_strtolower($rsUsuario->email_usuario);
  $_SESSION['autorizadorCNS']     = $rsUsuario->autoriza_cns;
  
  if($_SESSION['aceitouTermo']=="S"){
   if($_SESSION['leuAtualizacao']=="N"){
    echo "sucesso##atualizacaomensagem";  
   }else{
    echo "sucesso##usuario_perfilacesso_selecao";
   }
  }else{
   echo "sucesso##termoresponsabilidade";
  }

  /*if($_SESSION['aceitouTermo']=="S" && $_SESSION['leuAtualizacao']=="N"){    
    echo "sucesso##usuario_perfilacesso_selecao";
  }else{
    if($_SESSION['aceitouTermo']=="N"){
      echo "sucesso##termoresponsabilidade";
    }else{
      echo "sucesso##usuario_perfilacesso_selecao";    
    }    
  }*/

	// PEGAR DADOS DAS CONFIGURAÇÕES 
  $sqlConfiguracoes = "SELECT reg_tb_configuracoes.*,
  ucase(tb_cidades.nome_cidade) nomeMunicipio,
  tb_cidades.sigla_estado
  FROM tb_cidades
  INNER JOIN reg_tb_configuracoes ON (tb_cidades.codigoibge_cidade = reg_tb_configuracoes.ibge_municipiogestor)";
  $stmConfiguracoes	= $rsConexao->prepare($sqlConfiguracoes);
  $stmConfiguracoes->execute();
  
  $rsConfiguracoes	= $stmConfiguracoes->fetch(PDO::FETCH_OBJ);
  $_SESSION['ibgeSedeSistema']                = $rsConfiguracoes->ibge_municipiogestor;
  $_SESSION['nomeMunicipioSede']              = mb_strtoupper($rsConfiguracoes->nomeMunicipio);
  $_SESSION['siglaestado']                    = mb_strtoupper($rsConfiguracoes->sigla_estado);
  $_SESSION['estabelecimentoCentral']         = $rsConfiguracoes->codigoestabelecimento_regulacao;
  $_SESSION['municipioExecutorSede']          = $rsConfiguracoes->municipio_executorfora;
  $_SESSION['diasAberturaPrimeiraVez']        = $rsConfiguracoes->diasabertura_pvez;
  $_SESSION['diasAberturaRetorno']            = $rsConfiguracoes->diasabertura_retorno;
  $_SESSION['diasAberturaReserva']            = $rsConfiguracoes->diasabertura_reserva;
  $_SESSION['bloquearSabDomFeriado']          = $rsConfiguracoes->bloqueia_municipiopactuado;
  $_SESSION['bloquearPactuadoHoraInicio']     = $rsConfiguracoes->bloqueia_municipiopactuado_inicio;
  $_SESSION['bloquearPactuadoHoraFim']        = $rsConfiguracoes->bloqueia_municipiopactuado_fim;
  $_SESSION['solicitacaoExigeDocumentoAnexo'] = $rsConfiguracoes->exigirdocumento_identificacao;
  $_SESSION['usgMaraExigeMamografia']         = $rsConfiguracoes->exigirmamografia_parausgmama;
  $_SESSION['mamografiaExigeFormulario']      = $rsConfiguracoes->exigirformulario_mamografia;
  $_SESSION['exigirRelatorioMedico']          = $rsConfiguracoes->exigir_relatoriomedico;
  $_SESSION['analiseSolicitacoes']            = $rsConfiguracoes->solicitacao_paraanalise;
  $_SESSION['quemAnalisaSolicitacoes']        = $rsConfiguracoes->quemanalisa_emergencia;
  $_SESSION['bloqueioPorFalta']               = $rsConfiguracoes->diasbloqueio_porfalta;
  $_SESSION['limitacaoCotas']                 = $rsConfiguracoes->controlar_cota;
  $_SESSION['bloquearPacienteFora']           = $rsConfiguracoes->bloqueio_pacientefora;  
 
  # -- atualiza datas de login -- #
  $idUsuario  = $rsUsuario->id_usuario;
  $dataHoje   = date("Y-m-d H:i");
  $stmAtualizaLogin = $rsConexao->prepare("UPDATE reg_tb_usuario SET data_loginanterior=data_ultimologin, data_ultimologin='$dataHoje' WHERE id_usuario='$idUsuario'");
  $stmAtualizaLogin ->execute();
  # ----------------------------- #
  $setorProfissionalLogado = $rsConexao->prepare("UPDATE tb_profissional SET id_setorlogado=0 WHERE (cpf_profissional='$cpfUsuario')");
  $setorProfissionalLogado ->execute();  
}else{

  echo "negado##Acesso negado! Favor verificar as informações digitadas. Ou entre em contato com o Administrador.";

}

} catch(Exception $erroSistema) {

  echo 'Erro na execução: => ',  $erroSistema->getMessage();

}
  
?>